POST /sdk/v1/transfer
Transfer
Execute a gasless cross-chain USDC transfer.
Request
from string Required
Source chain code: ETH, BASE, ARB, POLYGON
to string Required
Destination chain code: ETH, BASE, ARB, POLYGON, SOLANA
amount string Required
Amount in USDC (e.g., "100.00")
recipient string Required
Recipient address on destination chain
permit object Required
ERC-2612 permit signature
permit object
owner string Required
spender string Required
value string Required
deadline string Required
v number Required
r string Required
s string Required
speed string
Transfer speed: fast or standard (default)
idempotency_key string
Unique key to prevent duplicate transfers
webhook_url string
URL for status callbacks
Response
intent_id string
Unique transfer intent ID
status string
Initial status: pending
tx_hash string
Source chain transaction hash
fee object
Fee breakdown
Example
curl -X POST https://api.sw4p.io/sdk/v1/transfer \
-H "Content-Type: application/json" \
-H "X-API-Key: sk_..." \
-d '{
"from": "BASE",
"to": "SOLANA",
"amount": "100.00",
"recipient": "5abc123...",
"permit": {
"owner": "0x...",
"spender": "0x...",
"value": "100000000",
"deadline": "1735689600",
"v": 27,
"r": "0x...",
"s": "0x..."
}
}'
{
"intent_id": "int_abc123",
"status": "pending",
"tx_hash": "0x...",
"fee": {
"total": "2.50",
"platform": "1.00",
"gas": "1.50"
}
}